# Method: providers.vehicles.create

- [HTTP request](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles/create#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles/create#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles/create#body.response_body)

Instantiates a new vehicle associated with an on-demand rideshare or deliveries provider. Each `Vehicle` must have a unique vehicle ID.

The following `Vehicle` fields are required when creating a `Vehicle`:

- `vehicleState`
- `supportedTripTypes`
- `maximumCapacity`
- `vehicleType`

The following `Vehicle` fields are ignored when creating a `Vehicle`:

- `name`
- `currentTrips`
- `availableCapacity`
- `currentRouteSegment`
- `currentRouteSegmentEndPoint`
- `currentRouteSegmentVersion`
- `currentRouteSegmentTraffic`
- `route`
- `waypoints`
- `waypointsVersion`
- `remainingDistanceMeters`
- `remainingTimeSeconds`
- `eta_to_next_waypoint`
- `navigationStatus`

All other fields are optional and used if provided.

### HTTP request

`POST https://fleetengine.googleapis.com/v1/{parent=providers/*}/vehicles`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Must be in the format `providers/{provider}`. The provider must be the Project ID (for example, `sample-cloud-project`) of the Google Cloud Project of which the service account making this call is a member. |

### Query parameters

| Parameters ||
|---|---|
| `header` | ``object (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/RequestHeader`)`` The standard Fleet Engine request header. |
| `vehicleId` | `string` Required. Unique Vehicle ID. Subject to the following restrictions: - Must be a valid Unicode string. - Limited to a maximum length of 64 characters. - Normalized according to [Unicode Normalization Form C](http://www.unicode.org/reports/tr15/). - May not contain any of the following ASCII characters: '/', ':', '?', ',', or '#'. |

### Request body

The request body contains an instance of `https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles#Vehicle`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles#Vehicle`.